<?php
// Variables attendues du contrôleur: $perimeters, $translations, $currentLang, $darkModeClass, $successMessage, $errorMessage
require_once APP_ROOT_DIR . '/src/Views/shared/header.php';
?>

    <div class="container">
        <h1><?= htmlspecialchars($translations['functional_perimeters']) ?></h1>
        <div class="actions-bar">
            <a href="/dashboard" class="button secondary-button"><?= htmlspecialchars($translations['back_to_dashboard']) ?></a>
            <?php if ($userRole === 'admin'): ?>
            <a href="/perimeters/create" class="button primary-button"><?= htmlspecialchars($translations['create_new_perimeter']) ?></a>
            <?php endif; ?>
        </div>

        <?php if (isset($successMessage)): ?>
            <p class="success-message"><?= htmlspecialchars($successMessage); ?></p>
        <?php endif; ?>
        <?php if (isset($errorMessage)): ?>
            <p class="error-message"><?= htmlspecialchars($errorMessage); ?></p>
        <?php endif; ?>

        <?php if (empty($perimeters)): ?>
            <p><?= htmlspecialchars($translations['no_perimeters_yet']) ?></p>
        <?php else: ?>
            <div class="table-responsive">
                <table>
                    <thead>
                        <tr>
                            <th><?= htmlspecialchars($translations['perimeter_name']) ?></th>
                            <th><?= htmlspecialchars($translations['intermediate_cert_file']) ?></th>
                            <th><?= htmlspecialchars($translations['created_at']) ?></th>
                            <!-- Ajouter des actions ici si nécessaire, comme supprimer un périmètre (avec prudence!) -->
                        </tr>
                    </thead>
                    <tbody>
                        <?php foreach ($perimeters as $perimeter): ?>
                            <tr>
                                <td><?= htmlspecialchars($perimeter['name']) ?></td>
                                <td><?= htmlspecialchars($perimeter['intermediate_cert_name']) ?></td>
                                <td><?= htmlspecialchars((new DateTime($perimeter['created_at']))->format('Y-m-d H:i:s')) ?></td>
                            </tr>
                        <?php endforeach; ?>
                    </tbody>
                </table>
            </div>
        <?php endif; ?>
    </div>

<?php
require_once APP_ROOT_DIR . '/src/Views/shared/footer.php';
?>
